Subject: Re: isearch-repeat-forward: wrong overlay after failure

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Mon, 12 May 2008 01:00:22 +0200

David Kastrup wrote:
> David Reitter <[email-masked]> writes:
> 
>> On 11 May 2008, at 17:59, Juri Linkov wrote:
>>> `isearch-repeat-forward' is not an entry point to the incremental
>>> search:
>>> it doesn't activate isearch mode neither deactivates it.  IIUC, it was
>>> never intended for non-incremental search, so it doesn't guarantee to
>>> work when isearch mode is not active.
>>>
>>> If you want to find the next occurrence without highlighting it
>>> and without activating isearch mode, you can use the command
>>> `search-forward'.
>> isearch-repeat-forward is interactive, which is why I thought it would
>> be a decent entry point.
> 
> Which I would call a reasonable expectation.  However, keybindings even
> in specialized keymaps need to be bound to interactive functions.  So if
> we have functions that are only intended for use in specialized keymaps,
> there is no way to keep people from binding them to normal keymaps.
> 
> So it is sort of a combined documentation/expectation problem.  I have
> no good idea how to approach this.

Maybe an error message that explains/points to an explanation?